be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDENCOUNTERvalues

- java.lang.Object
- - java.lang.Enum<CDENCOUNTERvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDENCOUNTERvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDENCOUNTERvalues>

      public enum CDENCOUNTERvalues
      extends Enum<CDENCOUNTERvalues>

  Java class for CD-ENCOUNTERvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ENCOUNTERvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="homevisit"/>
           <enumeration value="consultation"/>
           <enumeration value="telephonicconsultation"/>
           <enumeration value="emergency"/>
           <enumeration value="hospital"/>
           <enumeration value="oneday"/>
           <enumeration value="technical"/>
           <enumeration value="resthomevisit"/>
           <enumeration value="consult"/>
           <enumeration value="multidisciplinaryconsult"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSULT`
    `CONSULTATION`
    `EMERGENCY`
    `HOMEVISIT`
    `HOSPITAL`
    `MULTIDISCIPLINARYCONSULT`
    `ONEDAY`
    `RESTHOMEVISIT`
    `TECHNICAL`
    `TELEPHONICCONSULTATION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDENCOUNTERvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDENCOUNTERvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDENCOUNTERvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOMEVISIT

          public static final CDENCOUNTERvalues HOMEVISIT

    - #### CONSULTATION

          public static final CDENCOUNTERvalues CONSULTATION

    - #### TELEPHONICCONSULTATION

          public static final CDENCOUNTERvalues TELEPHONICCONSULTATION

    - #### EMERGENCY

          public static final CDENCOUNTERvalues EMERGENCY

    - #### HOSPITAL

          public static final CDENCOUNTERvalues HOSPITAL

    - #### ONEDAY

          public static final CDENCOUNTERvalues ONEDAY

    - #### TECHNICAL

          public static final CDENCOUNTERvalues TECHNICAL

    - #### RESTHOMEVISIT

          public static final CDENCOUNTERvalues RESTHOMEVISIT

    - #### CONSULT

          public static final CDENCOUNTERvalues CONSULT

    - #### MULTIDISCIPLINARYCONSULT

          public static final CDENCOUNTERvalues MULTIDISCIPLINARYCONSULT

  - ### Method Detail

    - #### values

          public static CDENCOUNTERvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDENCOUNTERvalues c : CDENCOUNTERvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDENCOUNTERvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDENCOUNTERvalues fromValue(String v)

Connector Packaging PERSNURSE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.